package com.qmth.distributed.print.business.service;

import com.qmth.distributed.print.business.entity.GradeBatch;
import com.qmth.distributed.print.business.entity.GradeBatchPaper;
import com.qmth.distributed.print.business.entity.TBSyncTask;

/**
 * 同步数据到云阅卷 服务类
 */
public interface DataSyncReportService {

    void syncGradeBatch(GradeBatch gradeBatch, TBSyncTask tbSyncTask);

    void startCalc(GradeBatch gradeBatch, TBSyncTask tbSyncTask);

    void publish(GradeBatch gradeBatch, GradeBatchPaper gradeBatchPaper, TBSyncTask tbSyncTask);
}
